View Issue Details

IDProjectCategoryView StatusLast Update
0024353LazarusIDEpublic2013-05-19 11:11
ReporterЧигрин ВиталийAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product Version1.0.8Product Build 
Target Version1.2.0Fixed in Version1.0.10 
Summary0024353: utf8 Messages from OutputDebugString a not displayed correct in debug event log
DescriptionЗдравствуйте!
Hello!
Не очень хорошо знаю английский язык, перевожу автоматическим переводчиком.
Do not know very well English, translate automatic translator.
Функция OutputDebugStrind выводит сообщение в Журнал Событий (Журнал Событий
принадлежит IDE).
OutputDebugStrind function displays a message in the event log (Event Log
belongs IDE).
Однако вместо национальных символов выводятся коды символов. Сообщения возможно
писать только латиницей и цифрами.
However, instead of national symbols displayed character codes. The message can
only write Latin and Digits.
Хотя сама IDE Lazarus и компоненты для него поддерживает национальные символы.
Although the IDE Lazarus and components it supports national symbols.
Это несоответствие нужно исправить.
This inconsistency should be corrected.
Вместо кодов выводить национальные символы.
Instead of code to display international characters.
Например:
For example:
begin
  OutputDebugString(PChar('Привет Мир! Hello Word! 12345'));
end
Выведет в Журнале Cобытий:
Displays in the Journal of Event:
\320\237\321\200\320\270\320\262\320\265\321\202\320\234\320\270\321\200! Hello Word! 12345
Steps To ReproduceAll (Проявляется всегда)
TagsNo tags attached.
Fixed in Revision41240
LazTarget1.0.10
WidgetsetWin32/Win64
Attached Files

Activities

Martin Friebe

2013-04-30 20:56

manager   ~0067301

The line
  OutputDebugString('abc üüü')
in the debuggee, will write the message to the event log of the debugger. But the utf8 is displayed as escaped byte values

Чигрин Виталий

2013-04-30 23:07

reporter   ~0067304

Last edited: 2013-04-30 23:18

View 5 revisions

Извините если не так понял, но...
Всё равно в какой кодировке UTF8 или Ansi (я могу написать свою функцию перекодиравания). Просто IDE Lazarus не отображает никакие символы кроме латинских букв и цифр (ещё некоторые служебные символы). Надо отображать национальные символы как компонты LCL и IDE Lazarus.
Отладчик GDB выводит символы как надо. Проблема в IDE Lazarus.
Я исследовал это неделю. Это так.
Sorry if you do not understand, but ...
Does not matter what encoding UTF8 or Ansi or OEM or UTF16 (I can write a function perekodiravaniya). Just IDE Lazarus (Event Log) does not display any characters other than letters and numbers (some more special characters). It is necessary to display national symbols as components LCL and IDE Lazarus.
GDB debugger displays characters as necessary. The problem IDE Lazarus.
I have researched this week. It is.

Martin Friebe

2013-05-01 01:08

manager   ~0067305

yes, I understood: "Debug window" > "Event log"

Чигрин Виталий

2013-05-01 09:11

reporter  

LLL.png (67,586 bytes)
LLL.png (67,586 bytes)

Чигрин Виталий

2013-05-01 09:25

reporter   ~0067307

Last edited: 2013-05-01 09:26

View 2 revisions

Возможно я Вас не понимаю. Я очень плохо знаю английский. Перевожу автоматическим переводчиком (он искажает смысл) (в обе стороны Ангрийскй <> Русский)
Моя задача сообщить, что в IDE Lazarus ошибка (не критическая) Ошибка в Окне Event Log. Оно не отображает национальной кодировки.
Очень сильно извиняюсь за свой английский и не понимание смысла, что Вы хотите сказать.
Maybe I do not understand you. I really do not know much English. Translate automatic translator (he distorts the meaning) (both sides Angriysky <> Russian)
My task is to inform you that in the IDE Lazarus error (not critical), the error in the Event Log. It does not reflect the national encoding.
Very much sorry for my English and not understanding the meaning of what you want to say.
See attached picture.

Чигрин Виталий

2013-05-01 09:35

reporter   ~0067309

You still seem to have understood what I wanted to say. Thank you. This should be corrected in a future version.

Martin Friebe

2013-05-17 20:49

manager   ~0067736

Please test and close if ok.

Чигрин Виталий

2013-05-18 14:37

reporter   ~0067753

Sorry for the misunderstanding.
How do I download the Lazarus 1.0.10 in order to check patch? I can not wait and release the official version of Lazarus. While I will write in Latin letters. Although it is not easy, but tolerable. However this error should be corrected in future versions.
How do I close the problem. Can you do this for me if everything is OK?

Martin Friebe

2013-05-18 15:46

manager   ~0067754

1.0.10 will only be released in a few weeks
You can either patch your current version, or use a snapshot (I recommend a snapshot).
The main snapshot is currently not up to date. You can find a current one here:

ftp://freepascal.dfmk.hu/pub/lazarus/snapshots/
- For win 32 you would download: Lazarus-1.0.9-41250-fpc-2.6.2-20130518-win32.exe
- Do *NOT* use the 1.1 Snapshot

The date and revision (41250) change daily.

The revision must be greater than 41240 (see "Fixed in revision). So 41250 is ok.


1.0.9 is the preparation for 1.0.10. It contains all fixes that are:
- In the "Merged" section of http://wiki.lazarus.freepascal.org/Lazarus_1.0_fixes_branch
- Were merged before the date/revision that is in the filename.


For more help on this or info about snapshots, please ask on the forum or mail list.

Чигрин Виталий

2013-05-19 10:56

reporter   ~0067762

Downloaded. Tested. Changes there and work as they should. I'm happy.

Martin Friebe

2013-05-19 11:11

manager   ~0067763

good

Issue History

Date Modified Username Field Change
2013-04-30 16:59 Чигрин Виталий New Issue
2013-04-30 20:56 Martin Friebe LazTarget => -
2013-04-30 20:56 Martin Friebe Note Added: 0067301
2013-04-30 20:56 Martin Friebe Assigned To => Martin Friebe
2013-04-30 20:56 Martin Friebe Status new => assigned
2013-04-30 20:56 Martin Friebe Target Version => 1.2.0
2013-04-30 20:56 Martin Friebe Summary Corrected => utf8 Messages from OutputDebugString a not displayed correct in debug event log
2013-04-30 20:57 Martin Friebe LazTarget - => 1.2
2013-04-30 23:07 Чигрин Виталий Note Added: 0067304
2013-04-30 23:08 Чигрин Виталий Note Edited: 0067304 View Revisions
2013-04-30 23:10 Чигрин Виталий Note Edited: 0067304 View Revisions
2013-04-30 23:13 Чигрин Виталий Note Edited: 0067304 View Revisions
2013-04-30 23:18 Чигрин Виталий Note Edited: 0067304 View Revisions
2013-05-01 01:08 Martin Friebe Note Added: 0067305
2013-05-01 09:11 Чигрин Виталий File Added: LLL.png
2013-05-01 09:25 Чигрин Виталий Note Added: 0067307
2013-05-01 09:26 Чигрин Виталий Note Edited: 0067307 View Revisions
2013-05-01 09:35 Чигрин Виталий Note Added: 0067309
2013-05-17 20:49 Martin Friebe Fixed in Revision => 41240
2013-05-17 20:49 Martin Friebe LazTarget 1.2 => 1.0.10
2013-05-17 20:49 Martin Friebe Note Added: 0067736
2013-05-17 20:49 Martin Friebe Status assigned => resolved
2013-05-17 20:49 Martin Friebe Fixed in Version => 1.0.10
2013-05-17 20:49 Martin Friebe Resolution open => fixed
2013-05-18 14:37 Чигрин Виталий Note Added: 0067753
2013-05-18 15:46 Martin Friebe Note Added: 0067754
2013-05-19 10:56 Чигрин Виталий Note Added: 0067762
2013-05-19 11:11 Martin Friebe Note Added: 0067763
2013-05-19 11:11 Martin Friebe Status resolved => closed